# Uses of Class
org.apache.sysds.utils.stats.NGramBuilder

Packages that use NGramBuilder
Package
Description
org.apache.sysds.utils
org.apache.sysds.utils.stats

## Uses of NGramBuilder in org.apache.sysds.utils

Methods in org.apache.sysds.utils that return NGramBuilder
Modifier and Type
Method
Description
`static NGramBuilder<String,Statistics.NGramStats>[]`
Statistics.`mergeNGrams()`
Methods in org.apache.sysds.utils with parameters of type NGramBuilder
Modifier and Type
Method
Description
`static String`
Statistics.`getCommonNGrams(NGramBuilder<String,Statistics.NGramStats> builder, int num)`
`static String`
Statistics.`nGramToCSV(NGramBuilder<String,Statistics.NGramStats> mbuilder)`
`static void`
Statistics.`toCSVStream(NGramBuilder<String,Statistics.NGramStats> mbuilder, Consumer<String> lineConsumer)`

## Uses of NGramBuilder in org.apache.sysds.utils.stats

Methods in org.apache.sysds.utils.stats with parameters of type NGramBuilder
Modifier and Type
Method
Description
`void`
NGramBuilder.`merge(NGramBuilder<T,U> builder)`